Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class Verifier

    java.lang.Object
      com.sun.msv.verifier.AbstractVerifier
          com.sun.msv.verifier.Verifier

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, IDContextProvider2, IVerifier, ValidationContext, org.iso_relax.verifier.VerifierHandler

Direct Known Subclasses:
  IDConstraintChecker, TypeDetector

public class Verifier
extends AbstractVerifier
implements IVerifier

SAX ContentHandler that verifies incoming SAX event stream. This object can be reused to validate multiple documents. Just be careful NOT to use the same object to validate more than one documents at the same time.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static java.lang.String` | `ERR_DUPLICATE_ID`
`static java.lang.String` | `ERR_MISSING_ATTRIBUTE`
`static java.lang.String` | `ERR_UNCOMPLETED_CONTENT`
`static java.lang.String` | `ERR_UNEXPECTED_ATTRIBUTE`
`static java.lang.String` | `ERR_UNEXPECTED_ELEMENT`
`static java.lang.String` | `ERR_UNEXPECTED_STARTTAG`
`static java.lang.String` | `ERR_UNEXPECTED_TEXT`
`static java.lang.String` | `ERR_UNSOLD_IDREF`

Constructor Summary
`Verifier(DocumentDeclaration documentDecl, org.xml.sax.ErrorHandler errorHandler)`

Method Summary
`void` | `characters(char[] buf, int start, int len)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qName)`
`java.lang.Object` | `getCurrentElementType()` returns current element type.
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`Datatype[]` | `getLastCharacterType()` gets DataType that validated the last characters.
`void` | `ignorableWhitespace(char[] buf, int start, int len)`
`boolean` | `isValid()` checks if the document was valid.
`static java.lang.String` | `localizeMessage(java.lang.String propertyName, java.lang.Object[] args)`
`void` | `onDuplicateId(java.lang.String id)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` | `setPanicMode(boolean usePanicMode)` Turns on/off the panic mode.
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Methods inherited from class com.sun.msv.verifier.AbstractVerifier
`endPrefixMapping, getBaseUri, getLocator, isNotation, isUnparsedEntity, notationDecl, onID, processingInstruction, resolveNamespacePrefix, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.msv.verifier.IVerifier
`getLocator`

Methods inherited from interface org.xml.sax.ContentHandler
`endPrefixMapping, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping`

Field Detail

### ERR_UNEXPECTED_TEXT

    public static final java.lang.String ERR_UNEXPECTED_TEXT

See Also:
  Constant Field Values

### ERR_UNEXPECTED_ATTRIBUTE

    public static final java.lang.String ERR_UNEXPECTED_ATTRIBUTE

See Also:
  Constant Field Values

### ERR_MISSING_ATTRIBUTE

    public static final java.lang.String ERR_MISSING_ATTRIBUTE

See Also:
  Constant Field Values

### ERR_UNEXPECTED_STARTTAG

    public static final java.lang.String ERR_UNEXPECTED_STARTTAG

See Also:
  Constant Field Values

### ERR_UNCOMPLETED_CONTENT

    public static final java.lang.String ERR_UNCOMPLETED_CONTENT

See Also:
  Constant Field Values

### ERR_UNEXPECTED_ELEMENT

    public static final java.lang.String ERR_UNEXPECTED_ELEMENT

See Also:
  Constant Field Values

### ERR_UNSOLD_IDREF

    public static final java.lang.String ERR_UNSOLD_IDREF

See Also:
  Constant Field Values

### ERR_DUPLICATE_ID

    public static final java.lang.String ERR_DUPLICATE_ID

See Also:
  Constant Field Values

Constructor Detail

### Verifier

    public Verifier(DocumentDeclaration documentDecl,
                    org.xml.sax.ErrorHandler errorHandler)

Method Detail

### getErrorHandler

    public final org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `IVerifier`

### setErrorHandler

    public final void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Specified by:
    `setErrorHandler` in interface `IVerifier`

### isValid

    public final boolean isValid()

  Description copied from interface: `IVerifier`
  checks if the document was valid. This method may not be called before verification was completed.

  Specified by:
    `isValid` in interface `IVerifier`

### setPanicMode

    public final void setPanicMode(boolean usePanicMode)

  Description copied from interface: `IVerifier`
  Turns on/off the panic mode. Panic mode is on by default. Turning it on is good for general use. It prevents false error messages to appear.

  However, turning it off is sometimes useful, when you are sure that the structure of the document is almost valid (e.g., validating a document generated by an application or when you are sure about the validity of the structure and only interested in validating datatypes,)

  Specified by:
    `setPanicMode` in interface `IVerifier`

### getLastCharacterType

    public Datatype[] getLastCharacterType()

  Description copied from interface: `IVerifier`
  gets DataType that validated the last characters.

  This method works correctly only when called immediately after startElement and endElement method. When called, this method returns DataType object that validated the last character literals.

  For RELAX NG grammar, this method can return an array of length 2 or more. This happens when the last character matches <list> pattern. In that case, each type corresponds to each token (where tokens are the white-space separation of the last characters).

  For any other grammar, this method always returns an array of length 1 (or null, if the type assignment failed).

  So when you are using VerifierFilter, you can call this method only in your startElement and endElement method.

  Specified by:
    `getLastCharacterType` in interface `IVerifier`
  Returns:
    null if type-assignment was not possible.

### startElement

    public void startElement(java.lang.String namespaceUri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `AbstractVerifier`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceUri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `AbstractVerifier`
  Throws:
    `org.xml.sax.SAXException`

### getCurrentElementType

    public java.lang.Object getCurrentElementType()

  Description copied from interface: `IVerifier`
  returns current element type. Actual java type depends on the implementation. This method works correctly only when called immediately after handling startElement event.

  Specified by:
    `getCurrentElementType` in interface `IVerifier`
  Returns:
    null this method returns null when it doesn't support type-assignment feature, or type-assignment is impossible for the current element (for example due to the ambiguous grammar).

### characters

    public void characters(char[] buf,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] buf,
                                    int start,
                                    int len)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### onDuplicateId

    public void onDuplicateId(java.lang.String id)

### localizeMessage

    public static java.lang.String localizeMessage(java.lang.String propertyName,
                                                   java.lang.Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD